function fs = daad_parameters(obj,fs)
%DAAD_PARAMETERS Parameter der Datenerfassung einstellen
%   input arguments
%       obj             Data Acquisition Object
%       fs              Abtastrate
%   output arguments
%       fs              tatschliche Abtatstrate
%
%   11.04.2023          T. Weber    

switch obj.UserData
    case 'none'

    case {'simideal','simtx','simrx','simreal'}
        disp('ignore rate setting');
        
    case 'usb6366'
        obj.Rate = fs;

        % tatschliche Abtastrate auslesen
        fs = obj.Rate;

    otherwise
    	error('unsupported data acquisition device');
        
end

end
